GuideLab API

Per-day scheduled-stage counts for a production room

Returns a map of YYYY-MM-DD → number of distinct active stages with a task scheduled that day in the room. Powers the production date picker's per-day badges.

GET
/production/rooms/{id}/schedule-counts

Returns a map of YYYY-MM-DD → number of distinct active stages with a task scheduled that day in the room. Powers the production date picker's per-day badges.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Query Parameters

startDate*string
endDate*string

Response Body

application/json

curl -X GET "https://example.com/production/rooms/string/schedule-counts?startDate=2026-06-29&endDate=2026-08-03"
{  "counts": {    "2026-07-04": 3,    "2026-07-05": 1  }}
Empty